{
	description = "A Nix-flake-based C/C++ development environment";
	inputs = {
		nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
		pogit.url = "github:y-syo/pogit";
	};

	outputs = inputs@{ self, nixpkgs, pogit }: 
		let 
			pkgs = nixpkgs.legacyPackages.x86_64-linux;  # Use x86_64-linux as an example
		in {
			devShell.x86_64-linux = pkgs.mkShell {
				buildInputs = with pkgs; [
					gcc
					clang
					gdb
					norminette
					valgrind
					git
					inputs.pogit.packages.${pkgs.system}.default
				];
			};
		};
}
